post
https://api-approval.tingg.africa/v1/global-api/payments
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
On the use case you will also learn how to use this functionality to fetch the data plans for the data service
Request
| Parameter | Type | Description | Required |
|---|---|---|---|
| function | string | Function being invoked | yes |
| countryCode | string | Country ISO code letter, i.e., KE,GH,TZ | yes |
| payload | object | ||
| payload.credentials | object | ||
| payload.credentials.username | string | The user name you created on sign-in | yes |
| payload.credentials.password | string | The Password you created on sign-in | yes |
| payload.packet | array | ||
| payload.packet.serviceCode | string | This is the product code used in identifying the service the customer is consuming, e.g., TIGOAIRTIME | yes |
| payload.packet.MSISDN | string | The mobile number of the customer making the payment. The MSISDN should begin with a country code, e.g., 2547xxxxxxxx | yes |
| payload.packet.accountNumber | string | Account number payment is being made. If it’s a mobile number, it should begin with a country code, e.g., 2547xxxxxxxx | yes |
| payload.packet.payerTransactionID | string | The unique transactionID generated by the bank for this transaction. | yes |
| payload.packet.extraData | object | Any extra parameter or information you need to pass in a key-value JSON format | no |
{
"function": "BEEP.queryBill",
"countryCode": "TZ",
"payload": {
"credentials": {
"username": "testUser",
"password": "testpass"
},
"packet": [
{
"serviceCode": "TZ-VODA-REMITTANCE",
"MSISDN": "256777777777",
"accountNumber": "2022227",
"payerTransactionID": "4891ab88-4cdf-46ab-9a00-42f55d543523",
"extraData": ""
}
]
}
}Response
[{
"accountNumber": "2022252707",
"serviceID": 5,
"serviceCode": "DSTVGH",
"dueDate": "2019-04-29 00:00:00",
"dueAmount": 25.83,
"currency": "GHS",
"customerName": "JOHN DOE",
"responseExtraData": "",
"statusCode": 308,
"statusDescription": "Bill information is available"
}]